Basic information

"Relatives" genealogical visualization software is intended for preparation and presentation of genealogic trees and storage of genealogic information in files.

Main features:

  1. The basic idea to which the author aspired in the "Relatives" program was to make the representation of a family tree evident, navigation on it convenient, and the process of its creation simple. While the program is suitable for use by amateurs and beginners in genealogy, it is a fully functional tool for professional genealogists.
  2. The program completely supports the GEDCOM ver. 5.5 format that is de-facto the industry standard of storage of genealogic information.
    The program data structure
  3. The program shows connections between relatives as a descending tree. Each person is represented by a rectangular frame with three lines of text containing first name, surname and lifespan. Gender is differentiated by color. Husbands are linked to wives by lines under frames, while siblings are linked by lines above frames. Parent-child links are vertical lines.
  4. The genealogic tree can be scaled for viewing at any range, from a view of the tree in its entirety to close details. For scaling you can use both mouse wheel and menu "View". When viewing a large section of the tree, the special Magnifier will allow you to see parts of the tree in 1:1 scale.
    Scaling
    Magnifier
  5. Using either a mouse or cursor keys, you can select and drag individual frames or groups of frames. The frames can then be aligned horizontally and vertically, evenly distributed, swapped, deleted, copied, cut and pasted. Double clicking on a frame shows the information window about the person.
    How to select persons and families
    Menu "View" - "Align..."
    Menu "View" - "Distribute..."
    Menu "View" - "Swap"
    Menu "Edit": Copy, Cut, Delete; Dropdown menu "Paste"
    Information window
  6. Persons and families can have links to other files (so-called media files) - documents, photos, pictures, Internet sites, other trees, etc. The list of the links is shown in the Information window of the given relative or family where each link can be opened.
    When a tree is built the user can create a lot of links pointed to many files stored in different directories of the computer, and sometimes it's difficult to remember where they are. Beside that the link's files can be accidentally renamed, deleted or moved to another place, while their links would still point to these files. In this case, when it will be necessary to transfer the tree and all its files on another computer, some files can be lost. The special tool, Media Master, allows to get the list of all links of the tree, to see which of them are valid, and which not, where they really point to and how much disk space they take in total. And then it is possible to correct such broken links or remove them, and finally prepare the tree for transfer, having saved it with all its media files in a separate directory or a ZIP archive.
    Creating and editing links
    Media Master
  7. Data can be stored in the software's proprietary format (*.rely), as well as exported to GEDCOM 5.5 (*.ged). without any loss of tree layout information. The program can also import data from GEDCOM 5.5 (*.ged) files.
    Menu "File" - "Open/Save"
    Import from GEDCOM 5.5 files
    Export to GEDCOM 5.5 files
  8. Export is available to an HTML page or to a GIF image embedded in an HTML page, as well to an interactive Adobe Flash™ program making it possible to put your family trees on the Internet.
    Export to HTML
    Export to Graphics in HTML
    Publish with Adobe Flash™
  9. The tree can be printed out in any size and on a variety of printers, from wide-format plotters to consumer-level printers - squeeze up the whole tree into one Letter-sized page or spread it out over thousands of them.
    "Print" Dialog
  10. The complete list of persons and families in the tree can be shown in separate "list windows". You can view information about each item in any list, edit it, delete the item or get its location on the screen. The list of "shared records" is available as well.
    Menu "View" - "Persons' List"
    Menu "View" - "Families' List"
    Menu "View" - "Shared Records"
    Menu "View" - "Header"
  11. The special Pedigree window is used to show a person's lineage. The pedigree can be viewed in horizontal or vertical layout with any number of generations of ancestors/descendants and saved in a file.
    Pedigree window
    Popup Menu
  12. The special Editor is used to edit tree elements such as header, persons, families and shared records. The "header" editor can be invoked from the main menu. For persons and families, the editor is selected from the corresponding "list", and for "persons", the editor is selected from the dropdown menu that appears when the person's frame is clicked using the right-hand mouse button.
    Editing of Header
    Editing of a person
    Editing of a family
    Editing of a shared record
  13. To find a person, a family or a record you can use search dialogs. The "Search" option in the "Edit" menu allows the user to look up a main record's elements such as first or last name, dates, notes and links, as well as all elements.
    Menu "Edit" - "Search"
  14. The expanded support of so-called "user defined tags" is implemented in the "Relatives" software. You can create and edit your own tags in the special User tag Editor. User tags data is saved in the files and in GEDCOM files as well.
    Menu "Edit" - "User defined tags"

About GEDCOM 5.5 full support:
All GEDCOM tags are supported except one - embedded media files (tag OBJE). Though the other form of the same tag "linked OBJE" is supported completely and even in more expanded meaning. Why the author threw over "embedded OBJE"? It was obvious from the beginning that the idea to store mediadata inside the files was wrong and few genealogical programs support this tag. Links to external files (like in HTML) is much more convenient, simpler and more effective.

About GEDCOM 6.0 (aka GEDCOM XML) support:
There was quite long time passed from the moment, when GEDCOM 6.0 draft-version was published in 2002, but no genealogical software supporting this format was released (at least the author knows no one). Even the creators of the format, The Church of Jesus Christ of Latter-day Saints, didn't release a computer program able to work with GEDCOM XML. Moreover, they practically left genealogical software developers without any support and do not answer any requests about their format for long time already.
The GEDCOM 6.0, though proposes more up-to-date method to store data, has even more shortcomings than its predecessor, GEDCOM 5.5.
The author do not plan supporting 6.0 version, but, if this format will get a circulation it can be supported.

About GEDCOM file import:
As is known, GEDCOM files contain no graphic information, i.e. such which allows to arrange elements of a tree that they look beautifully, logically and conveniently for navigation. This program makes automatic tree arrangement at import. It is necessary to tell, that the complete solution of this problem for any genealogic trees with their enormous variety of related communications is practically insoluble and even scientists-mathematicians and experts in graph theory recognize it. The algorithm of the given program (still, certainly, rather imperfect) manages to arrange imported trees correctly in most cases, however almost any file after import needs "manual finish" by the mouse. For small files (less than thousand persons) it is not a hard work, but for bigger, especially if relations in a tree are not quite usual (marriages between close relatives or inter-generations ones, for example marriage of an uncle and a niece, or if there are just mistakes) that arrangement of such tree can be not trivial task and can require many hours. As a consolation that such arrangement itself is rather fun (like a solitaire!), and beside that these are YOUR near and dear ones...
The program has a few functions to help in such work - single and group dragging by the mouse, Swap command, various types of alignments. At export to GEDCOM file the arrangement information is saved in the file, therefore manual arrangement should be done only once, at the very first import.

About the "expanded" support of the user tags:
An attempt to define user tags (in other words, new types of data) was first undertaken in GEDCOM version 5.3 (SCHEMA tag), however, by version 5.5 the authors abandoned this idea because, they explained, "it is too complex and premature to be implemented successfully into current products". In the "Relatives" program the user tags are supported, and if such tags are defined in a SCHEMA tag in a GEDCOM file they are imported and can then be edited in the special User Tags Editor. The SCHEMA tag itself remains hidden from the user. The "expanded" support refers to additional attributes that more clearly describe user tags as new types of data, improving their use.


The program data structure

The "Relatives" program data structure.

The GEDCOM format has been offered to store genealogic information by The Church of Jesus Christ of Latter-day Saints ("Church of mormons") in 1980th and became de facto the generally recognized standard. Because of this the data structure of this program is similar to GEDCOM format data structure.

Data in the program is presented by a set of records. The following table shows the types of the records and their conformity to GEDCOM-tags:
Type of record | GEDCOM tag | Note
Header | HEAD | File header contains information, common for the whole file. For example, the program-producer of the given file, the author, the encoding of the file, date of its creation, etc. The is only one header in a file.
Person | INDI | An individuum. Persons have references to families in which they are spouses and children, so each person "knows" what families it belongs to. There must be at least one record of this type in a file.
Family | FAM | There can be no more than one husband and one wife in a family. If someone has more than one spouse this will be a separate family. Families have references to persons who are their spouses and children, thus any family "knows" its members. There must be at least two members in a family.
Note | NOTE | Note, comment. Other records can use such comment as common. Such records are called "shared records".
Source | SOUR | A source of information as a shared record. Other records can refer to such record if they have the same source of information.
Repository | REPO | An information repository, archive, library, museum, database, etc., i.e. everything, that can store documents. Other records can refer to such record if their data are stored in the same place.
Submitter | SUBM | Submitter or author of data, a person or an organization which has given the information. If data for several records have been given by one submitter they can refer to such shared record together. By default the submitter of data for all records in the file is who is specified in the Header. Thus, in a file there should be at least one submitter for all file, plus submitters of other records if those exist.
Submission | SUBN | This record (there can be only one in a file) contains instructions and information for receiving system. It is used only in the genealogic information system of Churches of mormons.

Records of type "embedded media-object" (GEDCOM-tag OBJE) are not supported. See About GEDCOM 5.5 full support.

Advanced users can use the User Tags Editor to create their own types of records.

Records contain elements which, in their turn, can contain other elements, and so on. Thus each record is "a tree of elements", similar to directories and files structure. Each element has a tag corresponding to a GEDCOM-tag and a value. Types of element's values are listed in the following table:

Value type | Description
Empty | The element doesn't have a value. Such element just contains other elements.
String | Element's value is a line of text.
Text | Element's value is a multiline text of unlimited length.
Reference | Element's value is a reference to a record. For example, element "Child in family" (tag FAMC) in Person record is a reference to a family where this person is a son or a daughter.

In GEDCOM format identical tags can have different meaning depending on their context, i.e. where in a tree of elements they are located. For example, tag TITL in Person means "the nobility title, the rank", while in Source it is "the name, the title of the document". In "Relatives" program each record and each its element are supplied by a template which specifies type of the element, its description, the help text for its creation/editing, minimal and a maximum quantity of elements of the given type in the parental element, etc. Thus, elements with identical tags differ depending on the position in the record's tree of elements. The templates also store the list of all possible values for those elements which can have only one value from predefined list of values.

Notice: Notes (tag NOTE) and Sources (tag SOUR) can be both elements belonging to records, and separate shared records of common use. Thanks to that they have different patterns, the program distinguishes them, helping the user to not confuse them. For example, in a tree of elements you can see both an element with the name "Note", and an element with the name "Ref. to Note". They are different types:
Note is a plain text note, it belongs only to the given parental element (or record);
Ref. to Note is a reference to a Note shared record.

The complete tree of all possible elements for each type of record can be seen in the Records structure Reference dialog.

GEDCOM is well complex and comprehensive format, enabling to store practically any genealogic information, however in the majority of cases an ordinary user does not need all that variety of data for his/her family tree. That's why the author of the program has decided to define some information on relatives and families as the basic, main, and to make access to it simplified, and to move all other information on the second-order part so it wouldn't obscure the main one. What information is basic, what is desirable to bring up to the viewer of your family tree at first of all? In the author's opinion, for any object (a person, a family, etc.) there are two categories of primary data: Notes and Links.

Note is a text of any length which purpose is obvious - to describe the object, to tell information about it. The Note can contain any information on object and generally speaking, it would be possible to manage only this type of data, but for computer processing the information should be structured.

Link is an address of the document pertaining to the given object. It can be a digital photo, a text file, a Word document, a web-page on the Internet, musical or video file, other family tree, etc. - everything, that possible to store in electronic form.

Other high-priority information:

For a person it is his/her name/surname and birth/death dates, close relatives: the mother, the father, the spouse, the children.

For a family it is the husband, the wife, the children, date and place of wedding.

Example of such approach: the information window showing data of a person:

1) 1) In the "Notes + Links" view the window shows the main info: the name, the dates, the close relatives, the notes and the links. If there are more than one notes they are shown divided by a horizontal line from each other.

2) In the "Tree" view you can see the copious information about the given person - in this particular case the user chose the information about the place of burial.

The Record Editor works the similar way - buttons in the bottom part of its window allow to quickly invoke basic elements of the record for editing, and if necessary the tree of elements on the left can be used to edit all other elements.

Example: Editing a Person record in the Record Editor:
Buttons "Name...", "Gender... ", "Birth & Death... ", etc. invoke corresponding dialogs for editing these elements.

About the maximal length of string values:
In GEDCOM standard for every line of text in a file there is a limit of 256 symbol, from which for value itself (minus the level number and the tag) maximum of 248 symbols remains. This limit has been defined in days of low-power computers, and this archaic restriction still remains. The "Relatives" program does not limit length of a single line though when exporting to GEDCOM it breaks lines into pieces of 248 symbols (with CONT and CONC tags) according to GEDCOM format.


Multilingual interface

The "Relatives" program supports the multilingual interface. Resources for each language are stored in the directory lang in subdirectories with the two-letter names matching the language code according to ISO-639-1 standard (See ISO Language Codes)

In the current version 2 languages are supported: English (basic) and Russian. Accordingly, there are 2 subdirectories in the lang directory: en and ru.

    At the start the program sets the language as follows:
  1. Reads through the configuration file Relatives.ini and if there is a line "lang=xx", sets language xx if the directory xx is present in the lang directory.
    If language is not set then:
  2. Reads the language of OS Windows and sets this language if the appropriating directory is present in the lang directory.
    If language is not set then:
  3. Sets English language.

See also:
"Configuration" dialog
Menu "Tools"


Information Window

Information Window (Info Window or Info Frame)

Information Window shows information about a record - a Person, a Family, the file Header or a shared record.

Info Frame can be called in the following ways:

    For a person:
  • Double click on the person's frame.
  • Click on the person's frame with the right mouse button and choose the "Info" item in the dropdown menu.
  • Select the person in the List of persons and press the "Info" button.
    For a family:
  • Select the family in the List of families and press the "Info" button.
    For the file Header:
  • Choose "File Header" in the main menu "View".
    For a shared record:
  • Select the record in the List of shared records and press the "Info" button.

The brief description of the record and its identification number (ID) in square brackets are shown in the window's title bar.

In the top part of the window there is more detailed description (depends on a type of the record).

In the middle part of the window there is the record's data in format, depending on the tab:

  1. Tab "Notes+Links" shows only 2 types of data: Notes (tag NOTE) and Links (tag OBJE).
    If there are several notes, they are shown one after another, separated with horizontal lines. If a note is a reference to a Note shared record its text content will be shown.
    Links to documents and media files are shown in the dropdown list. Take into account that these are all links existing in the given record, i.e. including those belonging to the elements of the record, for example, Person-Burial. The "Show" button opens the chosen document. What software will open it depends on what program in your computer is associated with the document's file extension - ".doc" will be opened in Microsoft Word, ".jpg", ".gif", ".bmp" or ".png" - in the built-in viewer, ".html" or an Internet address - in the system browser, etc.
    So the view "Notes+Links" is the "basic" view - it shows only the basic elements of the record, those will be interesting to the user in the first place.
  2. Tab "Tree" shows the structure of the record in the form of a tree of elements (like a tree of directories and files), the description of the selected element above, and its value in the right panel.
    If the element is highlighted with red color it means that this is a reference to another record - double clicking on it will open this record in the same Info Window. After that you can return to the previous record with button "Back" - thus it is possible to go through all records linked to each other by references.
  3. Tab "Photo" shows the links (as thumbnails), but only those which are photos and images. Double click on a thumbnail will open the image in the associated program. If the image files are located in the Internet, they are loaded to create the thumbnails (during that time the thumbnails show "Loading...") and are saved in temporary files, so opening the images will not cause loading the files again but the saved copies will be used. With the spin-box in the upper-left corner you can set the icon's size from 50 to 250 pixels.

The spin-box "Font" allows to set the bigger size of the font in the Notes area, that is useful function when older people will watch your tree.

If the switch "Always on top" is checked the Info Window will always remain atop of other windows.

See also: The program data structure


Popup menu

The Popup menu appears when the right mouse button is clicked on the tree area:

1) The menu item "New person" is accessible only when the mouse click has occurred in an area outside of a person's frames. The new person thus created is placed wherever the cursor was when the mouse was clicked. The other menu items are available only when the mouse is clicked in an existing person's frame.

2) The menu item "Edit" opens the person's data for editing in the Record Editor.

3) The menu item "Info" shows the person's information in the Information window.

4) The menu item "Families..." shows the List of all the families of which the selected person is a member. The first families in the list are the families in which the person is a spouse, followed by any families where he/she is a child.

5) The menu item "Cut" cuts the person into clipboard.

6) The menu item "Copy" copies the person into clipboard.

7) The menu item "Paste" is only in the Popup menu (it doesn't exist in the main menu) and pastes the clipboard contents, with the top left corner of the pasted data corresponding with the mouse cursor. This means that if you have copied a big group of persons into an area at the bottom right of the screen, you may not see the pasted data immediately. You will need to make the scale smaller to see these pasted persons.

8) The menu item "Pedigree" opens the special window showing the pedigree of the selected person. See Pedigree Window

9) The menu item "Move to children" is used when manually arranging of a tree and moves the person (or all selected persons) just above his/her children.

10) The menu item "Move to parents" is used when manually arranging of a tree and moves the person (or all selected persons) right below his/her parents.


Pedigree Window

This window shows the pedigree of a particular person, ancestors and descendants, as well as spouses and siblings. The "main" person is emphasized with pink background:

Pedigree in vertical layout

Radio buttons VERT and HOR switch between two types of pedigree layout - vertical and horizontal:

Pedigree in horizontal layout

The dropdown lists Descendants and Ancestors allow the user to set the number of generations to show: from 0 to 6 and "All". If some ancestors and descendants frames have arrows beside (like Gillian CLARK or Elliott RUSSELL in the example) it means these persons have other ancestors or descendants. These can be shown if the user increases the number of generations to show.

On each new creating or changing of the pediree the "main" person will be placed possibly in the center of the window.

«+», «-», «1:1» and «Fit» buttons allow user to adjust the scale of the picture.

Buttons «<» and «>» are used to navigate through the "history" of pedigrees displayed - like the Back and Forward buttons in Internet Explorer browser.

A click with the right mouse button on a person's frame shows a dropdown menu with these three items:

Pedigree - shows the pedigree of the clicked person in the same window. (You can return to the previous pedigree by pressing on the «<» button.)

Common children - this item is enabled only when clicking on a spouse of the "main" relative and highlights the spouse, their common children and their descendants with red color:

Edit opens the selected person for editing in the Editor.

And finally, the Save button saves the pedigree in a file. The pedigree is switched to the vertical layout. It can be stored including all spouses, or one selected spouse, and siblings:

For example, we saved the following pedigree with one spouse (Heather ROBERTS) and with siblings. When we open the resulting file (E.WILSON_pedigree.rel) we will see the following:

After some manual adjustment we will get a pedigree which can either be printed out or converted into an image to place on the Internet:

The Magnifier works for the Pedigree window the same way as for the main window.

See also:
List of persons
Dropdown menu


Quick Search

Quick search of persons in the tree.

It is possible to find persons (but not families!) in the tree without opening the Search dialog. For this use a small text field "Quick Search..." in the right-top corner of the main window. Enter a word there and hit the Enter. The program will find those persons who have the given word in their elements and will show them in the Persons' List. The Quick Search has the following features:
- the search is performed in ALL record's elements.
- if there are a few words (divided by spaces) then the search is performed in all elements by all words. I.e. those persons will be found who have all these words.

Simply said, the Quick Search is the same as search in Search dialog window:
- by several key words,
- in all record's elements,
- with search logic "AND".

Simple wildcard symbols can be used in keywords. See The "Search" dialog.


How to...

  1. ...create a new tree (file).
  2. ...create a new person.
  3. ...create a new family.
  4. ...edit a person.
  5. ...edit a family.
  6. ...delete a person.
  7. ...delete a family.
  8. ...select persons and families.
  9. ...move persons.

Shift, Ctrl and Alt keys - how they work:

  1. Shift key
  2. Ctrl key
  3. Alt key


How to create a new tree (file).

See: Menu "File" - "New...".


How to create a new person

A new person can be created in one way:

  1. In an area free of persons' frames click the RIGHT mouse button and choose "New person" from the dropdown menu.

In the appeared Record Editor choose the name, gender, dates of life, etc.

Press OK (or Cancel, if you changed your mind). The new person will appear in the place you clicked

See also: Editing a Person


How to move persons

The primary way to move persons is by mouse - click on his/her frame with the left mouse button and drag to a new place. If the moved person is in a group of selected persons all that group will move.

If there are one or several persons selected it is possible to move them also by the arrow keys. Each pressing will move the group on 10 pixels step. If hold pressed Ctrl key, the step of moving will be 1 pixel and if Shift key it will increase to 100 pixels.
Note: The size of moving is specified in screen pixels, i.e. this is visible moving. Real frames moving will depend on the scale, for example, at scale 1:25 moving on 1 screen pixel will be equal to moving frames on 25 pixels at 1:1 scale.

If some frames will leave the left or top edge of the screen the whole tree will be automatically moved to the right or down - so that all tree always were in the visible part of the screen.

Other types of movings - alignments, distributions and swap - are discussed in the following topics:
Menu "View" - "Align"
Menu "View" - "Distribute"
Menu "View" - "Swap"


How to edit a person

To change the information on existing person is possible in the following ways:

  1. Move the mouse on the necessary person's frame, press the RIGHT mouse button and choose "Edit" from the dropdown menu.

    2. OR
  2. In the List of persons (menu "View"-"List of persons") select the person and press "Edit" button.

In the appeared Record Editor change the necessary elements.

Press OK (or Cancel, if you changed your mind).

See also: Editing a Person


How to delete a person

To delete a person (or a group of persons) is possible in the following ways:

  1. Select one or group of persons and press Del key on the keyboard.

    2. OR
  2. Select one or group of persons and choose "Delete" item in main menu "Edit".

    3. OR
  3. In the List of persons (menu "View"-"List of persons") select the person and press "Delete" button.
    In the warning message box press OK (or Cancel, if you changed your mind).

See also: Copy - cut - paste - delete


How to create a new family

To create a new family it is needed at least 2 persons.

  1. Select the persons who are to be members of the new family and choose "New family from selected" item in the main menu "Edit".
  2. In the appeared Record Editor:

    Use buttons "Husband...", "Wife...", "Children..." to choose the father (husband), the mother (wife), add children.

    OR

    Use button "Auto Create".
    In this case the program will create the family using the persons's positions. For this you need to locate them such that the parents will be approximately on the same level higher and all the children should be lower.

    The family will be created automatically.
    If the higher row will contain three or more persons, the program will reject to create such family - number of parents can not be more than two.
    If there are two selected persons and both of them are in one row, the program will ask to specify if it will be husband and wife (without children) OR siblings (without parents).
    If there are more than two selected persons, they are obviously siblings and the program will make them children without parents.

    Press OK (or Cancel, if you changed your mind).

See also: Editing a Family


How to edit a family

To change the information on existing family is possible in the following way:

  1. In the List of families (menu "View"-"List of families") select the family and press "Edit" button.
  2. In the appeared Record Editor change the necessary elements.
  3. Press OK (or Cancel, if you changed your mind).

See also: Editing a Family


How to delete a family

To delete a family without deleting its members you can only in one way:

  1. In List of families (Menu "View" - "List of families" select) the family and press "Delete" button.
  2. In the warning message box press "OK" (or "Cancel", if you changed your mind).
    The family members themselves WILL NOT be removed from the tree - only the family relations will be removed.

A family is also automatically removed, if all its members or all except one have been removed.

See also: Copy - cut - paste - delete


How to select persons and families

Relatives are selected with the mouse and Shift key: press Shift key and, keeping it pressed, press the left mouse button in an area free from persons' frames and drag (holding the mouse button pressed) on a diagonal. All persons who have got in the formed rectangle, will be selected - their frames will become red.

To add persons to or to exclude them from the selection is possible with Shift key as well - hold it pressed and select again a group of persons (or click on the frame of one person) and these persons will be added to the selection or excluded from it depending on whether they have been already selected or not.

To deselect all selected persons:
- press Space key,
- press Shift + Space,
- choose menu "Edit" - "Deselect".

Strictly speaking, a family can not be selected - it is possible to select only all its members. In the List of families, for example, it is possible to choose family, and then select all its members, pressing the button "Select: this family". See: List of families


Copy - cut - paste - delete

To copy/cut/delete one parson you can click on his/her frame with right mouse button and choose corresponding item of the dropdown menu.

To copy/cut/delete a group of persons you should first select them and then either
a) click on the frame of one of the selected persons with right mouse button and choose corresponding item of the dropdown menu or
b) choose corresponding item from the main menu "Edit".

To paste a person or group of persons from the clipboard is possible only through the dropdown menu - click the right mouse button on an area free from other persons' frames and choose item "Paste" and contents of the clipboard will be placed with the left top corner of the person or the whole group in the point of the click.

To remove a family is possible only in the [image] List of families. Only family internal connections, not members of the family will be removed.

Some details of copying, cutting, pasting and deleting.

All these operations are made only on persons. Only exception is removal of a family in the List of families.
At all these operations logic integrity of references is provided. Here is how it occurs at different operations:

    At copying one person:
  • The selected person is copied in the clipboard and this copy loses all family relations.
  • All shared records to which this person has references, also are copied in the clipboard, and the copy keeps all these references.
    At copying group of persons:
  • Copies of the selected persons are placed in the clipboard.
  • Family relations of these copies are checked and if these relations are between members of the given group they are kept, and copies of these families also are placed in the clipboard.
  • For each copy of these families all its members are checked, and these members who are not among the given group of relatives are to be deleted from the families.
  • All shared records to which these persons and families have references, also are copied in the clipboard, and the copies keep all these references.
    At deleting one person:
  • The given person is deleted, and all families where he/she was a member loose reference to him/her.
  • If, as result of this, a family remains with less than 2 members such family also is deleted.
    At deleting group of persons:
  • The given persons are deleted, and all families where they were members loose reference to them.
  • If, as result of this, a family remains with less than 2 members such family also is deleted.
    At deleting a family:
  • The family is deleted from the tree.
  • All members of this family loose their references to this family.
    Cutting is a combination of two above operations.
    At paste from the clipboard:
  • All persons and families in the clipboard are added to the tree with new identification numbers (ID).
  • Concerning shared records which have been referenced from the copied persons and families and consequently have got in the clipboard, the following rules are applied:
    1) If in that tree where contents of the clipboard are inserted, there is no shared record with the same ID (it in fact can be another file!) this record is added to the tree;
    2) If record with such ID exists, but its contents differ from inserted record it also is added to the tree, but with new ID;
    3) If the ID and the content of the records coincide, the record from the buffer is not added to the tree and the references will point to already existed record.


How to zoom up and down

The main method to zoom is to use mouse wheel. At that the center of zooming will be where the mouse curson is at the given moment.

If you need to fit a particular area of the tree in the whole window, use mouse dragged over that area while holding the Alt button pressed.

You also can use menu "View" to change the scale of the tree". See: Menu "View" items for scaling

See also:
Menu "View" - "Back" and "Forward"


Lists
List of persons
List of families
List of shared records


List of persons

List of persons is shown when the corresponding item is selected in the "View" menu.

Besides its obvious function, List of persons also displays the result of a search, and displays the members of a family (the Members... button in the List of families). List of persons can be found in the View menu.

Persons are shown in the List in the following format:
N) Surname, first name (dates of lifespan),
where N is the next consecutive number.

In the upper part of the window there is Quick search field. Enter the first letters of a surname and, after a space, of a given name in this field. The person with a surname and name that begin with those letters will be automatically selected in the list. For example, "dou ric" will show "Douglas, Richard James".

Double click on a name in the list to select that person in the tree. This will also move the tree so that the selected person is shown in the middle of the display of the tree. If the Information window is currently open, it will show the selected person's info.

    On the lower panel:
  • Button "Select:" selects and shows the information for a person in exactly the same way as double-clicking that person's name on the list.
  • Button "Families..." shows the List of all the families of which the selected person is a member. The first families in the list are the families in which the person is a spouse, followed by any families where he/she is a child.
  • Button "Info" shows the person's information in the Information window.
  • Button "Pedigree" opens the special window showing the pedigree of the given person. See Pedigree Window
  • Button "Edit" opens the person's data for editing in the Record Editor.
  • Button "Delete" removes the person, but first warning about the removal.

The switch "Always on top": if this is checked, the List of persons will always remain on top (i.e. in front) of other windows.

See also:
Menu "Edit" - "Search"
List of families


List of families

List of families is shown on choosing the corresponding item in the main menu "View".

It also is called to display the result of a search and to display families of a person (the "Families..." button in the List of relatives).

Families are shown in the List in the following format:
N) I.I.Husband_surname + I.I.Wife_surname (children first names' list),
where N is consecutive number; I.I. are initials.

In upper part of the window there is:
Quick search field. Type the first letters of a husband's surname and, after a space, of a wife's surname in this field and the family with these husband and wife (of wife and husband, depending on sorting) will be immediately selected in the list. For example, "dou kno" will show "R.W.Douglas + J.B.Knorring".
Sorting dropdown list sorts the List by husbands' or wives' surnames. The format how families are displayed in the List remains the same - husbands are shown first.

Double click on a line in the List selects the family (its members) in the tree and if only part of the family is visible in the window, moves the tree and, if necessary, reduces the scale so that the selected family will be shown completely and in the middle. If the Information Window has been opened by that moment, it will show the family info as well.

    On the lower panel:
  • The "Select:" button works cooperatively with the dropdown list "this family - with ancestors - with descendants" and with the "with spouses" switch.
    "this family" selects only the chosen family and shows its info - the same way, as double click by the mouse on the list;
    "with descendants" selects the chosen family and all its descendants;
    "with ancestors" selects the chosen family and all its ancestors.
    If the checkbox "with spouses" is checked, spouses of the families members are selected as well.
  • The button "Members..." shows all members of the selected family in the List of persons. In such a case the first in the list is the husband (father), the second is the wife (mother), and then children.
  • Button "Info" shows the family information in the Information Window.
  • Button "Edit" shows the family in the Record Editor.
  • Button "Delete" removes the family, warning about the removing in advance. The members of the family are not removed.

The switch "Always on top": if it is checked, the List of families will always remain atop of other windows.

See also:
Menu "Edit" - "Search"
List of persons


List of shared records

List of shared records is shown by selecting the "Shared records" item in the "View" menu. This item also displays the result of a search.

The list of records is shown in the left part of the window in the following format: Type of the record: ID

The record content, in the form of a tree of its elements, is shown in the right part of the window.

    On the lower panel:
  • Button "Create:" opens the Record Editor and creates a new record of the type specified in the dropdown list at the side.
  • Button "Edit" opens the record in the Record Editor.
  • Button "Delete" removes the record, warning about the removing in advance, and also about the references to this shared record.
  • Button "Info" displays the record information in the Information window.
  • Button "Referrers" shows all other records (persons, families, file header and other shared records) that refer to the record selected. The "Back" button then becomes available, allowing the user to return to the initial list of shared records.

If the switch "Always on top" is checked, the List of shared records will always remain on top (in front) of other windows.


Record Editor

The editor is used for creating and editing family tree records (Header, Persons, Families and shared records).

All records are represented in the editor the same way:
At the left panel the record and its elements are shown in the form of a tree (similarly to directory structure). When an element is selected by mouse its value is shown on the right panel, and its description is shown in the top part of the editor.
If value of the element is a reference to another record such element is highlighted with red color, that means it's possible to double click on it and the referenced record will be shown. To return to the previous record press the "Back" button. Thus it is possible to go through all records referenced to each other.
The right mouse button click on an element will show the dropdown menu with three items:
Add to... adds an element of the next lower level to the given element; If this item is not available (grayed) it means the element cannot contain other elements or their quantity has already reached the maximum.
Change... changes value of the chosen element. If this item is not available, it means either the element can not be changed or it has no value - such element only contains other elements (The exception from this rule is Link element - it has no value, but it can be edited in such manner with all its elements by using Link Editor).
Remove... deletes the chosen element. Inaccessibility of this item means quantity of these elements is already minimal. It is not possible in the Editor to remove an element of the uppermost level, i.e. the record itself.
Elements are arranged in record in order of their "necessity", i.e. the most necessary and most often used elements are placed higher. Newly created elements are added according to this order. Exception is made for the user defined elements - they are always added in the end.
It is possible to arrange elements of the same type in any necessary order, moving them with "Up" and "Down" buttons.

The number of different elements which can be added to record or its elements sometimes is quite big and can confuse an unexperienced user, so access to the most important elements is placed on the bottom panel of the editor as "quick access" buttons. So it maybe said that editing with dropdown menu with its access to all properties of the record is the "profi" level, and with the "quick access" buttons is the "basic" one.
Note: the "Note..." button works only with the first Note of the record. To create one more Note, or to edit other Notes, you should use the dropdown menu on the left panel.

Elements are created/edited in special edit dialogs. The type of the dialog depends on the element's value type:

Value type | Edit dialog
Empty | No edit dialog, the element is just created.
String | Single line text field.
Text | Multiline text area.
Reference | Dropdown list of all records to which this element can refer.
Choice | Dropdown list of all values this element can have.
Pattern | The same single line text field as for String, but it is possible to enter only that value which is set by the element's template. For example: the element "Number of children" in Family record can accept only numerical value from 1 to 999, all others will be rejected.
And so on... For some types of elements the edit dialog has several input fields. The "quick access" buttons also call the special edit windows. For example, "Birth & Death..." button will call the edit dialog with input fields for both birth and death dates and places.
Each edit dialog has button "Help" to get information how to create/edit the given element.

Changes in records are saved after pressing "OK" button. Before saving the record is checked for presence of empty elements and matching some special conditions, for example, a Person should have at least either a name, or a surname, or date of a birth/death, otherwise it cannot be shown in the tree.

See also:
Editing a Person
Editing a Family
Editing a Shared record
Editing the Header
Creating and editing links


Editing the Header

Editing the Header in Record Editor

As compared to GEDCOM standard the following user tags are added to the Header:

  1. "Title" (tag _TITL) - a string, the name of the tree.
  2. "Background" (tag _BG) - background color of the tree.
  3. "Media directory" (tag _MDIR) - a directory on a local computer or the Internet address of the remote directory in which any other files (media, documents, other trees) related to the given tree (i.e. referenced by Links) are stored.
    The Media directory can be:
    à) subdirectory relatively to the tree directory (where the tree file itself is saved). Example: in some record there is a Link element which File value is "John Smith.jpg". Then, if the Media directory in the Header is "SmithTreeFiles", and the tree file is in "C:\My Documents\Gedcom Files" directory, then the full path to the file will be "C:\My Documents\Gedcom Files\SmithTreeFiles\John Smith.jpg", i.e. the tree directory + Media directory + file name.
    b) absolute directory, for example "C:\My Documents\photos". In this case the file will be searched in the path "C:\My Documents\photos\John Smith.jpg" independently what directory the tree file is saved.
    Obviously, the way a) is more preferable to distribute tree files to other computers - it is enough to transfer with it the whole Media subdirectory, and all links will work.
    Media directory can not be a remote directory, for example, "http://www.smithgenealogy.com/trees/files". If the tree file is on a remote server, for example, "http://www.smithgenealogy.com/trees/smith.rel" the Media directory can be specified as a subdirectory - just "files".

    There can be several Media directories specified in the Header. In this case search of files will be done in sequence - if the file is not found in the first directory, it will be searched in the second one, etc.

The general rule for searching a media file if the link to the document is not absolute, is the following:

  1. The directory where the tree file itself is stored;
  2. All Media directories in order, if they exist;
  3. "My Documents" system directory;
  4. "My Documents\My Pictures" system directory;
  5. "My Documents\My Video" system directory;
  6. "My Documents\My Music" system directory;
  7. If the document still not found the message appears...

You can also add Links (tag OBJE) to the Header, though tags OBJE in Header is not specified in GEDCOM standard, but the author has decided to add such opportunity as logically needed - why all other records can have Links to documents, but the tree itself can not?

Tag SCHEMA is supported in a special way - through the User Tags Editor.
See [image] About the "expanded" support of the user tags

Note: at GEDCOM import all Header's elements remain the same they were in the original file. When saved in *.rel file the Header is also saved as is. But when exported to GEDCOM format:

  1. The program checks if the header has elements which are mandatory according to GEDCOM standard: "Submitter" (tag SUBM) and "Charset" (tag CHAR). If they do not exist, the program suggests to create them and to try again.
  2. Elements "Source system" (tag SOUR), "Destination system" (tag DEST) and "GEDCOM" (tag GEDC) are replaced with new (or are added if they do not exist). These new elements are:
    Source system = "Relatives"
    Destination system = "Relatives"
    GEDCOM = 5.5 (version)
  3. Date (tag DATE) and Time (tag TIME) are set to the current date and time.

See also:
Record Editor
Creating and editing links


Editing a Person

Editing a Person in Record Editor

For quick access to basic elements of the record use buttons Name..., Birth & Death, Note..., Links... and radiobuttons ?, M and F to set gender.

Buttons Add to Family as: call edit dialogs with the list of all families in the tree and the given person will be added as the spouse or the child to the chosen family. If the spouse of the same gender already exists in this family then he/she will be replaced, not added.

After pressing OK button the Editor checks existence of the name, surname and dates of life and if all of these elements do not exist, does not allow to create such person.
Note: If the surname is not specified, in the person's full name (like "N.J.Smith" or "Smith, Nicolas John") the surname will be shown as "unknown".

See also:
Record Editor
Creating and editing links


Editing a Family

Editing a Family in the Record Editor

For quick access to basic elements of the record use buttons "Husband...", "Wife...", "Children...", "Wedding...", "Note..." and "Links...".

Buttons "Husband..." and "Wife..." invoke edit dialogs with lists of men or women accordingly. If the Editor is called from menu "Edit" - "New family from selected" there will be only men/women from the currently selected persons - it allows to decrease the size of the list and makes search of the necessary person easier.

Button "Children..." calls the edit dialog for children:

Buttons "Add" and "Edit" call an edit dialog with a list of persons. If the Editor was called from menu "Edit" - "New family from selected" there will be only persons from the selected in the list.

Buttons "Up" and "Down" move children up and down the list. Actually the order of children in the list is not reflected in any way in their visual position in the tree. GEDCOM standard recommends to arrange children in order of their age - the older children are in the beginning of the list.
Note: the order of children can be changed also in the record's tree of elements with its own "Up" and "Down" buttons.

After pressing "OK" button the Editor checks number of the family members and if it less than two, does not allow such family.

See also:
Record Editor
Creating and editing links


Editing a Shared record

Editing a Shared record in Record Editor

When editing a shared record the Quick Access panel does not contain any buttons since in different shared records different elements have top-priority.

See also:
Record Editor
Creating and editing links


Creating and editing notes

Dialog window "Notes..." shows up on pressing "Notes..." - one of the "quick access" buttons in the Editor. You can edit all notes of the given record here (you can also use an "element by element" editing using the record's elements tree).

A note (tag NOTE) has only one possible subelement:

  1. A link to a shared record of type Source (tag SOUR). This is a non-mandatory element. Unlike many other elements Note doesn't have subelement Source of built-in, text type. GEDCOM stsndard explains this that source of a note may be places in the note itself as a normal text.

"Notes..." dialog's interface:

1) The list of the first lines of the record's notes is placed in the top part of the window. When a line is selected by mouse the whole text of the note are shown in a text box below.

2) The panel on the right has the following buttons:

Add - depending on which radio button below is on:

  1. Text: opens the Note Editor for creating a new note;
  2. Record: shows the list of all shared Note records of this file to choose from. Id there is no such records in the file the warning will show up.

Edit - depending on the note's type (text or record) calls the Note editor to edit the note or shows the list of all shared Note records of this file to choose from;

Remove - removes the selected note;

"Up" and "Down" buttons allows to arrange notes in the list in desired order.

3) The purpose of Save, Cancel and Help buttons is obvious...

See also:
Record Editor
The program data structure


Creating and editing links

Dialog window "LINKS to photos, documents, www-pages, other trees" shows up on pressing "Links..." - one of the "quick access" buttons in the Editor. You can edit all links of the given record here (you can also use an "element by element" editing using the record's elements tree).

A link (tag OBJE) has 4 possible subelements:

  1. Title (tag TITL) of the document. This is a mandatory element. Users will see these titles in the list of links in the Information Window of the record.
  2. File (tag FILE) - a path to or an address (possibly remote) of the document. This is a mandatory element. The path can be absolute or relative. Files with absolute paths are searched in exactly these pathes, while relative paths are looked for at first in the working directory (where the tree file itself), then in media directories, then in the system document folders ("My Documents", "My Pictures", "My Video" and "My Music".). If a tree file was opened from a remote site (e.g. http://www.genealogysoft.com/en/examples/sample-en-1.rel), than the documents with relative paths will be searched on the same server where the tree file was originated from. For example, a file with "media/london.jpg" path will be searched on http://www.genealogysoft.com/ru/examples/media/london.jpg

    Links can point not only to files, but also to directories. This very conveniently represents collections of documents in one link. Suppose, for example, that there are many documents related to some person. Instead of creating a link for each document, it is possible to collect all the documents related to the given person into one directory and to create only one link to this directory. Then you can add new documents to the folder, rename the files, delete them, without changing the link itself. In the Information window these links can be opened the same way as any other document, and the user will then see all documents in one file explorer window.

    Attention! If you place documents on a web server, try to avoid non-ASCII symbols and spaces in file names! The codepage the server will use for non-ASCII names is often unknown and it's almost impossible to predict what codepage should be used to encode the names in HTTP requests to the server. The "Relatives" program does no speculation about server's codepages and sends all requests "as is" without any encoding. Thus the only way in this program to download a network resource with non-ASCII name and spaces is the following:
    Suppose you know that the code page the server uses to store file names with russian symbols is KOI8-R (usual for Apache web-servers). The name of you file is тест.jpeg. In this case the name in the link should look like %D4%C5%D3%D4.jpeg, where each Russian letter is replaced with a %XX sequence, where XX is a hexadecimal code of the letter in KOI8-R codepage (in usual Windows-1251 cyrillic encoding the file name will look like ФЕУФ.jpeg). The full path in a link's File element can be, for example, like this: http://genealogysoft.com/ru/examples/%D4%C5%D3%D4.jpeg (this file really exists, so you can try to download it). If there are spaces in the file name they shoul be replaced with %20 (not "+" symbol how is made in URL encoding). Hence, in the "Relatives" program file names in links should be stored already encoded.
  3. Format (tag FORM) or type of the document is actually its file extention ("jpg", "gif", "wav", "ged", "rel", etc.). It is an optional element. It was left for compatibility with the GEDCOM standard and other genealogic programs which can use it to find the associated software. The "Relatives" program tries to define a format of the document on its extension when you enter a name of the file, using the list of formats in Extentions.txt file. Also the user can change the format or enter his/her own.
  4. Note (tag NOTE) about the link. This is optional element. There can be more than one notes for a link, and they can be of both types - as a plain textual embedded note and as a reference to a shared Note record.

"LINKS..." dialog's interface:

1) The list of links' titles is placed in the top part of the window. When a title is selected by mouse other elements of the link are shown below: URL (File), Notes and Format.

2) The panel on the right has the following buttons:
Add opens the Link Editor (see below) for creating a new link;
Edit opens the selected link in the Link Editor;
Remove - removes the selected link;
"Up" and "Down" buttons allows to arrange links in the list in desired order.

3) The purpose of Save, Cancel and Help is obvious...

The "Link Editor" dialog window is intended for creting/editing of a link and has the following interface:

1) Name (Title) of the link. The length of the name can be any but it's better to limit it by 20-40 symbols due to these names will be shown in a list within Info Window.

2) URL (File) of the link. It has no limit in length. The "Browse" button shows a common Open file dialog to choose a local file.

3) An area below, outlined with a thin border is the Notes area:

  1. List of notes in the center shows the first 40 letters of each note if it's a plain text note and a record ID, if it's a reference to a shared Note record.
  2. On the right from the list is a panel with buttons which work the similar way to these buttons in "LINKS..." window - editing, removing and arranging the list.
  3. On the left from the list is an Add button for creating a new note. The type of the note (plain embedded or reference to record) can be specified by "Plain - Record" radio buttons.
    For entering text of a plain note you will be offered a text area, and for creating a reference to a Note record you will get a list of all records of that type.
  4. When a note name in the list is selected by mouse the note content will be shown in a text area below. At that, if it is a reference to a Note record this record will be shown as a tree of its elements.
  5. When entering the address of the file the program tries to determinate the file extention and if it knows it (Extentions.txt contains it) shows it in the Format field. The user can change this format or remove it at all.
  6. The purpose of Save, Cancel and Help is obvious...

See also:
Record Editor
The program data structure


Menu "File"

Menu "File" contains menu items for creating a new file, opening an existing file, saving, import-export, etc.


Menu "File" - "New"

Menu "File" - "New" opens the new file creation dialog.

After pressing the button "Create" the program will check, whether or not the specified file already exists and will give a precaution if the file does exist. In actuality the new file is created only after the first saving. The creation of a new file is necessary for the program to know what directory will contain the new file so that it could define location of referenced documents and Media directories relatively to the tree file itself.

About Media Directories see: Editing the Header


Menu "File" - "Open/Save"

Menu "File" - "Open", "Save", "Save as...", "Open recent:" work as in any Windows program. The "Relatives" program has its own file format with ".rel" extension.

A file can be downloaded not only from a local computer but from a remote server on the Internet. The address should be fully specified, i.e.: http://genealogysoft.com/en/examples/sample-en-1.rel (this is the real address - you can try it).

When downloading via ftp protocol the file address should contain login and password like this:
ftp://login:password@ftp.sample.com/dir/subdir/treefile.rel

Menu item "Save selected as..." differs from typical Windows usage in that it saves only the selected part of the tree. It is similar to creation of a new file and copying a part of the tree in it, except that in this case the file header will remain the same, whereas if you copy/paste it into a new file it will have the "Relatives" own header.

Large files usually have a big space in the top left corner of the tree free from person's frames. In order to not show this empty space immediately after opening, the program sets the scale of the image so that a part of the tree is visible in the bottom right corner of the screen.


"Import from GEDCOM 5.5 file" dialog

Menu "File" - "Import from:" - "GEDCOM 5.5 file"

"Import from GEDCOM 5.5 file" dialog interface:

The checkbox "If incomplete family found" defines actions which are necessary to do if an incomplete family is found in the file. The incomplete family is a family with only one member - a husband/father, a wife/mother or a child alone. In principle, such families should not exist, however many genealogic programs allow their creation. Usually there is no useful information in such records, so they can be removed. The program offers a choice:

  1. "Make up missed members" - a formal, made-up member with a name "unknown" will be added to the incomplete family. If there is only a spouse the second spouse will be added and if only child alone both parents will be added. In this case it is guaranteed, that all other information about family will be saved at import.
  2. "Remove it" - the incomplete family will be removed (its one known member, of course, will not be removed). In this case the information which was contained in this family, will be shown in the special message upon completing the import - if you will find this information useful (if it will be present at all) just repeat import with option "Make up missed members".

Checkbox "Insert space before CONC lines" reflects another problem with GEDCOM files. The matter is that according to GEDCOM standard long lines of text on saving in a file should to be broken into "pieces" no more than 248 symbols each. Each such "piece" is marked with tag CONC (concatenation) so on reading it would be possible to collect pieces back in the integral text. And according to GEDCOM standard splitting should to be done only inside words. However few programs do it - instead they do breaks on spaces, i.e. between words. So on import GEDCOM files there is always a question: to insert spaces between pieces (then in "correct" files there will be spaces in the middle of words), or to not insert (then in "wrong" files words will be merged)? Because it is impossible to tell in advance, what file, "correct" or "wrong" you got, this program offers a choice - insert spaces or not. By default the checkbox is checked (spaces are inserted). Do a trial import with this option set and see long texts in records - if there are words merged together, repeat import with the other option.

Checkbox "Correct wrong tags" also reflects a problem of discrepancy to GEDCOM standard according to which all tags in a file should be either standard GEDCOM tags or the user-defined tags which names begin with underscore symbol '_'. Some programs, however break this rule and apply their own tags which are not beginning with '_' (why they do it is hard to explain - why not simply make them user-defined adding underscores?...). If the checkbox is checked such wrong tags will be considered user-defined with addition '_' to their names. If the checkbox is switched off, the program stops import if meets such tag.

Checkbox "Remove empty elements" allows to remove empty elements from records - such which have no information and are simply unnecessary "dead weight" in the file. In the some GEDCOM files there are thousand of such elements, essentially increasing the size of the files! Why are they there? It is a question to authors of genealogic programs which allow creation of such empty elements...

Other mistakes can be found in GEDCOM files. For example, some elements can refer to records which really do not exist in the file. Such elements should be deleted. Another sort of the mistakes related to references is when the element should refer to a record, but the reference is actually empty. For example, the element "Spouse in family" in Person records should refer to a family in which the given person is a spouse. If such reference is empty, the program will try to restore it. For example, in the above case the program will look up all families and if among them will be such in which element "Husband" (or "Wife") refers to the given person, it is possible to assume this is the lost reference to this family. In all such cases it is necessary, however, to check the logical integrity of the information, on what program will remind after import.
Aside from mistakes, caused by imperfect programs, there can be others which reason are human mistakes. For example, there are situations when a child in a family is specified as the spouse in the same family. Theoretically this, probably, can happen, but most likely it is made simply by inadvertence. Graphic representation of trees in "Relatives" program helps to avoid such mistakes since they are better visible.

Attention! The author of the program tried to provide recognition as much as possible types of mistakes, however he can not guarantee, that has provided all! If you will meet any new erroneous situations, please, contact the author. On the other hand, consider that fact, that GEDCOM files are usual text files - you can always open them in a text editor and try to correct the mistake, the more especially as you will know the erroneous line number from the error message.

Dropdown list "Encoding" allows to set the encoding the file will be read with. Usually it is better to try first to import with option "Use file header's charset". If the file header has an indication of its encoding such file will be imported with it, but if is not present the message will be shown - in this case repeat the import, having set a coding from the list.

Enter the file name in the lower text field and press OK...

If the file has been exported to GEDCOM format from the "Relatives" program the graphical information will be already in it, if not - the program will make automatic arrangement.
If there are mistakes and discrepancies in the file you will be informed about them in a special window upon completing of the import. The list of the mistakes/discrepancies can be looked through and saved in a text file.

On import of big files there are usually quite big space in the left top corner of the tree free from person's frames. In order to do not show this empty space in the first moment after the import, the program sets the scale of the image so that a part of the tree will be visible in the right bottom corner of the screen.


Menu "File" - "Export to:" - "GEDCOM 5.5 file"

Exports the file to GEDCOM 5.5 format. Before export the program checks if the file header has two obligatory (according to GEDCOM standard) elements: Charset (tag CHAR) and the Submitter (tag SUBM). If they are not present, the program will ask to create them.

The charset from the Header will be used to create charset in the exported file.

All graphic information for the tree is saved in the file. If this file is imported again the tree will be shown in the view in which it was saved.


"Export to HTML" dialog

Menu "File" - "Export to:" - "HTML file" exports the information from the tree into an interactive HTML page. Family communications between relatives in this page will be presented by hyperlinks, so the user will be able to navigate in the entire family tree, and the hyperlinks to documents and web pages can be opened directly in the browser.

"Export to HTML" dialog interface:

Checkbox "CREATE:" defines the output file form:

  1. One big file - only one HTML file will be created in which lists of both persons and families will be placed, along with information about them.
  2. Main file + files for each record - the lists of relatives and families will be saved in the main HTML file, and the information about each record will be saved in separate HTML files in a directory file_name-infos. This can add up to quite a large number of files. One file for each record (person, family and shared record).

Checkbox "INCLUDE person's/family's information:" defines what information from the records will be included:

  1. All (GEDCOM-like structure) - every record will be saved with all its elements.
  2. Notes and Links only - only notes and links will be included.

Radio buttons "Export: All/Selected" specifies if entire tree or only a selected part will be exported. In this case, as well as in case of saving selected, references to persons and families which are not among selected, will not be exported if "Keep external references" is not checked.

Dropdown list "Encoding" allows to set the encoding (language) of the output file(s).

Note: What if your file contains symbols of several different languages besides English, for example, Turkish and Russian? What encoding should you specify? In general the answer is: choose the one which is the most prevalent. When exporting to HTML the program processes the text as follows:
1) English symbols are saved as is, one byte per symbol;
2) Symbols of the alphabet, which coding is specified also are saves one byte per symbol in corresponding encoding;
3) Symbols of all other alphabets will be transformed to sequences "&#xxxx;", where xxxx is a UNICODE standard numerical code of the symbol.
So actually it would be possible to not specify encoding at all - the program will code all non-English into &#-symbols, and the browser will show them properly. The only problem with this approach is that such an HTML file would be much bigger in size...
You can also export the file in UTF-8 encoding, but that too will increase the file size by 1.5 to 2 times.


"Export to HTML image" dialog

Menu "File" - "Export to:" - "HTML Image"

"HTML Image" is an interactive hypertext (HTML) page that is an image of the family tree, and can be shown in a browser, such as Internet Explorer or Firefox. The image is interactive in that frames of those persons which have comments or links display that data in reaction to mouse clicks.
The tree image for the page is stored in the GIF graphics format. Because the program draws the tree using only 5 colors, this format compresses the file greatly. A picture 1,000 x 1,000 pixels in size needs a GIF file that is only 10-15 kilobytes, whereas other formats (TIFF, PCX, JPEG) would generate files that are about twice as large for the same amount of data.
Unlike printing the tree, where the scale of the image is defined by the size of the sheets of paper (and the image "is adjusted" to the size of the paper), on export to image the target scale is always "one-to-one", i.e. the size of target image is defined by the size of the tree. For example, a tree of approximately 600-700 persons requires an image size of about 10,000 x 4,000 pixels. But browsers show such big images very inefficiently (or they do not show them at all), and an image of such size resides in a large chunk of operative memory. For this reason, when images are 2,400 x 1,800 pixels in size or larger, the program offers to break them into smaller ones. The user can set another size, changing the number of the grid's cells, but images cannot be bigger than 10,000 pixels in either dimension.

"Export to HTML image" dialog interface

  1. Text fields "Total image size" show the sizes of the image necessary to fit the tree in scale 1:1, plus 100 pixels for margins (50 pixels for each side).
  2. Input fields "Image grid" break a large image into a number of smaller ones which are placed in cells of the table in the HTML page. The process of splitting is automatically reflected in the right half of the dialog. Opening the dialog causes the program to calculate how many parts it is necessary to break the image into, if the image exceeds the 2,400x1,800 pixels size limit. Usually no action from the user is required here, if the only desire is to make the cells even smaller - for example, if the browser is unable to display the large images.
  3. The next line shows the size of each image into which the whole (large) image has been broken.
  4. Radio buttons "Background" set the image background:
    Default is that is used in the program itself;
    White is, accordingly, white;
    Transparent - the background will be transparent - the image can be placed over other images.
  5. Checkbox "Interlaced" specifies creating Interlaced GIF files - in a browser the image appears to fade in as the file is loaded over several passes.
  6. Radio buttons "Export range: All/Selected": the entire tree or only a selected part will be exported.
  7. Checkbox "Add persons info" specifies, whether or not to make HTML page interactive. If it is checked, the directory of the HTML page will contain a subdirectory [html_page_name]_files with data files for an individual person. These HTML files will be shown in a separate browser window when the user clicks on a person's frame.
  8. Dropdown list "Info encoding" allows to set the encoding (language) for such files with personal data. About the encoding see also here.


"Export to Scalable Vector Graphics" Dialog

Menu "File" - "Export to:" - "Scalable Vector Graphics"

Vector graphics is a way to represent images as a set of geometric primitives - lines (straight, smooth curves, polygons), rectangulars, circles, closed polygons, etc. Such elementary figures are described by their points, instead of their actual bitmap images, so the files can be very compact. The main advantage of vector graphics is an ability to change its scale without loss of quality. This feature is especially useful for genealogic trees where change of scale over a wide range is one of the main requirements for navigation on the tree.

"Scalable Vector Graphics (SVG)" is WWW Consortium standard defining vector images described in XML format. Files with such images can be shown in web browsers either by a built-in SVG support (in Mozilla Firefox), or by special plug-ins (for example, Adobe SVG Viewer for Internet Explorer). It is necessary to tell, that SVG support in browsers is implemented in various degrees and leaves much to be desired, though it improves noticeably from version to version. Internet Explorer still (up to version 7) has no built-in SVG support, so the users have to install a plug-in to be able to see vector graphics.

The "Relatives" program can generate SVG files either in couple with an HTML page, or as a standalone SVG file. The html page with the SVG graphics can be viewed in a browser. The user can click on those persons who has notes or/and links, and they will be shown in a separate browser window. The standalone SVGs do not have such interactivity and are intended basically for import into vector graphics editors (Adobe Illustrator, CorelDRAW) or for sending to a printing shop to print the tree on a wide-format plotter.

"Export to Scalable Vector Graphics" dialog interface:

  1. Radio buttons "Export range: All/Selected": the entire tree or only a selected part will be exported.
  2. Radio buttons "Create SVG in HTML/SVG only" specifies creating either an html page and interactive svg file, which will be shown in that page or just a non-interactive svg file for import and printing.
  3. Radio buttons "Background" set the image background:
    Default is that is used in the program itself;
    White is, accordingly, white.
  4. Checkbox "Add persons info" specifies, whether or not to make HTML page interactive. If it is checked, the directory of the HTML page will contain a subdirectory [html_page_name]_files with data files for an individual person. These HTML files will be shown in a separate browser window when the user clicks on a person's frame.
  5. Dropdown list "Info encoding" allows to set the encoding (language) for such files with personal data. About the encoding see also here.
  6. Checkbox "Compressed (.svgz)" creates a compressed svg file with .svgz extention.
    Note: Compressed svgz file can not be shown in Mozilla Firefox browser.
  7. After pressing "Export" button a file dialog will appear to enter a name of the file. If "SVG in HTML" is created the user should enter a name for html file (by default the program offers name_of_the_tree_file.html). A file html_file_name.svg (or .svgz) will be created as well and, if "Add persons info" is checked, a directory html_file_name_files with info files will be created.
    In case of "SVG only", the only svg (or svgz) file will be generated.

Navigation on SVG tree

The SVG file shown in html page contains built-in JavaScript, providing navigation on the tree and display of person's information files.

Initially, on opening the page the tree is shown so that it completely fits in the browser window. The scale of the image thus can be quite small, if the tree is big.

    Four buttons in top-left corner of the window are intended to change the scale:
  1. Button [image] sets 1:1 scale;
  2. Button [image] sets the scale that the tree fits in the browser window (as on opening);
  3. Button [image] increases the scale approximately for 40%;
  4. Button [image] decreases the scale approximately for 40%.

When using these buttons the center point of the scale change is always the center of the window.

If to hold the Ctrl key pressed and click on the tree in a place free from person's frames the scale will increase approximately for 40%.

Also, if to hold the Ctrl and Shift keys pressed and click on the tree in a place free from person's frames the scale will decrease approximately for 40%.

The center of the scale change when using the mouse is always the point of the click.

The tree can be moved in whole by dragging it with the mouse by any place free of the persons' frames.

Clicking the mouse on a person's frame where the cursor turns to "hand" will open a separate browser window with information on this person (if he/she has notes or/and links).

Note: Very big trees (more than 1000 persons) are not recommended for display in SVG graphics, since they will be repainted quite slowly due to inherited features of the SVG technology. It appears in the slow reaction to movings or changes of scale - sometimes for a few seconds! Adobe SVGViewer plug-in is a bit faster than others, especially built-in SVG support in Mozilla Firefox.

See also:
Adobe SVG Viewer download page on Adobe web site.
Scalable Vector Graphics in Wikipedia
WWW Consortium web site, dedicated to SVG.


Printing dialog

Menu "File" - "Print..."

Printing dialog interface:

  1. Dropdown list "Printer" allows the user to select a printer.
  2. Dropdown list "Paper size" allows the user to select the paper size.
  3. Radio buttons "Print in Color/B&W" allows a choice of color or monochrome printing.
  4. Dropdown list "Resolution" allows the user to choose print resolutions in pixels per inch.
  5. Radio buttons "Print quality" allow the user to set print quality, if the printer has this option.
  6. Dropdown list "Pages orientation" allows the user to select page orientation, if the printer has this option.
  7. A pair of dropdown lists "Pages" allows the user to set the number of sheets (from 1 to 100) both horizontally and vertically on which the tree will be printed. The right half of the window will show the tree's layout on these sheets.
  8. The text field "Printable area" indicates the size of the whole print job (the sum of all sheets). Dropdown list "inch-cm-mm" allows a choice of measurement units for this field.
  9. Radio buttons "Print range: All/Selected" allows the user to choose whether the entire tree or only a selected part will be printed. This choice will be reflected in the right part of the window.


Menu "File" - "Configuration..."

Opens a dialog window for changing the program configuration, and editing of the configuration file Relatives.ini which is in the program directory.

"Configuration" dialog allows to set five configuration parameters:

1) Language of the program interface (parameter lang in Relatives.ini file). This parameter, when set, has priority when the program sets the interface language. See Multilingual interface.

2) Maximum number of undo changes (parameter undo_lev in Relatives.ini file). This parameter can be from 4 to 32. See Menu "Edit" - "Undo"

3) Default background color of the tree in hexadecimal format (parameter bgcolor in Relatives.ini).

4) Automatic date/time stamp of a record change (parameter chan_stamp in Relatives.ini). This parameter defines whether each record's CHAN (Change) tag is set to the current data and time on each modification or not. Absence of the parameter means records' CHAN tag will not be set, chan_stamp=1 will set only date of the change and chan_stamp=2 will set both date and time of the change.

5) "Reload last open file on Startup" flag (parameter open_last in Relatives.ini).

Relatives.ini file exaple:
lang=en
bgcolor=DDEEDD
undo_lev=16
chan_stamp=1
open_last=yes

If some parameter is not set the default value will be used:
1) Interface language: OS Windows system language;
2) Background color: D2ECD2 (light-pistachio, the same as this text's background);
3) Maximum number of undo move - 8;
4) Automatic date/time stamp of a record change - no;
5) Reload last open file on Startup - no.


Menu "Edit"

Menu "Edit" contains items that are usual for this menu: undo, cut/copy/delete, creating/editing of a record in Record Editor, searches.


Menu "Edit" - "Undo" and "Redo"

Undoes/redoes last changes of the tree - frame moves, removal, paste, cut, change a record in the Record Editor, etc. In this version of the program it is possible to undo/redo up to 32 last changes. See more: "Configuration"


Menu "Edit" - "Deselect"

Deselects selected persons in the tree. "Shortcutkey" for this command is Ctrl + Space, but also possible just Space. Deselecting also occurs when the user double clicks on a frame free area OR single clicks on a non selected person's frame.


Menu "Edit" - "Cut"

Removes selected persons from the tree. However, the removed data continues to exist in the clipboard.

See also: Copy - cut - paste - delete


Menu "Edit" - "Copy"

Copies selected persons into the clipboard.

See also: Copy - cut - paste - delete


Menu "Edit" - "Delete"

Deletes selected persons from the tree, and warns about the removal.

See also: Copy - cut - paste - delete


Menu "Edit" - "Search"

The "Search" dialog offers simple search among persons or families by basic elements: for persons they are name, surname, date of birth, date of death, notes, links or all of them; for family they are notes, links or both.

You can use up to 3 keywords to search.

Search is made in word boundaries. It means that the keyword will be searched inside of each word of an element, i.e. phrases (words with spaces between them) are not searched.

Simple wildcard symbols can be used in keywords similar to those used for search in DOS and Windows. These signs are as follows:
* (asterisk) - a placeholder for zero or more characters;
? (question mark) - a placeholder for any single character;
+ (plus) - a placeholder for one or more of a single character.

If the keyword is not entered at all, it is equivalent to search "*", i.e. to search any nonempty value of the specified element.

Search is case insensitive.

Examples:

  • Search word is "Jon": only names will be found which exactly match "Jon".
  • Search word is "Jon*": names will be found which start with this word: "Jon", "Jonny", "Jonathan", etc.
  • Search word is "Jon+": names will be found which start with this word: "Jonny", "Jonathan", etc., but not "Jon" because '+' sign specifies on its place must be at least any one symbol.
  • Search word is "Jon??": names will be found matching "Jonny", but not "Jonathan" or "Jon" because 2 '?' signs specify on their place must be exactly two any symbols.
  • Search word is "*jo*n*": the following names will be found: "John", "Jon", "Johnson", "Johannes", "Josephine", and even "Marjorie Ann" because each '*' sign means it can be any number of any symbols (including space) on its place, or can be none at all.

Radio buttons OR-AND work when search more than one keyword and define logic of search: "AND" means to find records containing all keywords and "OR" means to find records containing any of the specified keywords.

Checkbox "Only in selected" works only when searching persons and allows to search only among the selected ones.

If the switch "Always on top" is checked, the window will always remain in front of other windows.

The result of search is shown in Lists of relatives, families or shared records. If nothing is found, the empty list is shown.

See also:
Quick Search


Menu "Edit" - "File header"

Opens the File Header for editing in Record Editor.

See [image] Editing the Header


Menu "Edit" - "New family from selected"

Opens Record Editor to create a new family, with the possibility to choose its members only from selected persons.

See also:
How to create a new family
How to select persons and families


Menu "Edit" - "User defined tags"

Menu "Edit" - "User defined tags" opens the User Tags Editor.

ATTENTION! Creation/editing of the user tags requires that the user has some experience in the GEDCOM format and a certain level of computer expertise.

The user tags (the tags defined by the user) are among those tags which are not described in the GEDCOM standard but are created by the user for his or her own needs. Usually such tags are created by genealogic program makers, so the term "user", as related to the end user, is not exactly correct. The user tags describe elements which, from the user's point of view, are necessary for normal functioning the program, but such tags are not provided in the standard set of GEDCOM tags.
So, in the "Relatives" program a "Person" record (tag INDI) has user tags _X and _Y. These tags store the geometric coordinates of that person in the tree. Without these tags the program could not work - the GEDCOM standard does not provide any means to store such data. A mechanism for definition of user tags has been offered in the GEDCOM format creator in version 5.3 (with special tag SCHEMA), but it does not appear to be well thought out, and does not sufficiently allow for the description of additional tags as new data types. That's why already in version 5.5 the GEDCOM authors have ignored the SCHEMA tag, and the item, as the saying goes, "has hung in mid-air" - the user tags still could be used, but there was nothing already in place to define them...

The "Relatives" program offers its own mechanism to support user tags, providing their fuller description - in particular, for a tag it is possible to describe type of its value - a string, a text, a reference to record, etc.

When importing a GEDCOM file created by other program, the mechanism works as follows:

  1. If the file header has tag SCHEMA definitions of the user tags are read from it and stored in the program;
  2. All the user tags (i.e. those which names begin with underscore "_"), not defined in SCHEMA, are also stored in the program;
  3. All the standard GEDCOM tags which are found, but not in their standard (expected) places, are marked as user tags and are stored in the program;
  4. Tags which are not standard GECDOM tags and do not begin with "_", also are marked as user tags and are stored in the program, and the symbol "_" is added to the beginning of their names;
  5. The tags can then be edited in the User Tags Editor;
  6. Tag SCHEMA in the header is invisible (and cannot be added), all functions of maintain the user tags can be done through the User Tags Editor;
  7. When exporting to GEDCOM format the user tags information is saved in the file header as SCHEMA tags.

User Tags Editor

In the left panel of the Editor there will be a list of the user tags in the given file. Each tag is represented by a "chain" of tags in the form Tag - tag - ... - tag, i.e. in form "The main tag (Person, Family, etc.) - then a tag belonging to it - etc... - at last, the actual user tag".

Selecting a line in the list causes the properties of the chosen user to be displayed in the right panel:

  1. Tag - tag name;
  2. Label - brief definition, label i.e. how the tag will be shown, for example, in the tree of record's elements, etc.;
  3. Definition - expanded description of the tag: What the tag means, what data it stores;
  4. Help - even more detailed description of the tag, including information on how to edit value of the tag, what values it can accept, etc. See: Record Editor;
  5. Min. number - what minimum number of this tags the parental element can have. Can be 0 or 1;
  6. Max. number - what maximum number of this tags the parental element can have. Can be from 1 to 65535;
  7. Value type - type of value, the tag's element can have. These types are: empty, line, text, regex, reference, choice;
  8. Value length - maximum length of the value for types line and regex.

Buttons "New" and "Edit" on the bottom panel open Tag Editor dialog for creation of a new user tag or editing a selected existing user tag.

Button "Remove" deletes the selected user tag.

Note that removal of a tag means that all elements with this tag should be removed as well. Before the tag is removed, the program checks whether there are such elements in the file. If they are found, a warning is shown. The user can then cancel the removal and see the records in which these elements were found (see button "Check").

If the deleted tag has subtags (which are also, naturally, user tags) these subtags will also be removed (along with the corresponding elements).

As you can see, removal of a user tag (and also change of type of its value) can lead to unintended loss of data. It is therefore necessary to use this feature with great caution. In this version of the program changes in the user tags cannot be undone.

The "Check" button lists the records in which elements with the given user tag are found. It is used before removal of a tag (see button "Remove").

Tag Editor

Has the following interface:

  1. Tag - text field to enter tag name. The tag name should begin with underscore sign '_' and can include capital letters from A to Z, numeric digits 0 to 9 and the underscore character (_). The editor will not allow any other symbols to be entered. Attention: if you cannot enter anything into this field it most likely because your keyboard layout is switched to a non-English layout!. If you have forgotten to begin the name with '_', the editor will correct it.
  2. Context used to define a "parental" tag for the new tag, i.e. a tag in which the user tag will be a subtag. In this version of the program it is possible to set context only for a new user tag, i.e. at its creation.

    The context is defined as follows:
    a) Choose a tag of the uppermost level (Person, Family, etc.) from the dropdown list and press "Add" button - the tag will appear in the text field above, and the dropdown list will now contain all possible subtags of the tag that has been added.
    b) Choose a tag of the next level from the dropdown list and press button "Add" - the chosen tag will be added to the top level tag. This creates a "chain" of parental tags of our user tag.
    c) The "Deduct" button is used to remove the last tag from the context.
  3. Label is used to enter the tag's label. The label of the tag should be as short as possible, better just a word. The tag will be shown with this label in the program, for example the tag INDI has the label "Person".
  4. Definition - this is used to enter the tag's definition. Defines the tag in more detail and has no length restriction. Nevertheless, do not make the definition too long. No more than 50-60 letters is desirable.
  5. Help - Enter help text here. The length of this text is not limited, and it can be on multiple lines. Help will be available to the user while creating or editing an element with the given tag and can contain the expanded description of a tag, information on what values the element can have, or any other features.
  6. Min. number - dropdown list with values 0 and 1; "0" means that the element with such tag is not obligatory. A "1" means that it must be present in the parental element at least once.
  7. Max. number - text field to enter the maximum number of elements with the given tag in the parental element. Can accept value from 1 up to 65535.
  8. Value type - a set of radiobuttons to define the value type of the given tag:
    1. Empty - the element of this tag doesn't have any value. Such an element just contains other elements.
    2. Line - value is a single line of text. You can specify maximum length of the line in the last text field (up to 248 symbols according to GEDCOM standard) but in this version it is not limited;
    3. Text - value is a multi-line text of unlimited length;
    4. Regex - the same as Line, but value should match to the certain pattern. The pattern is specified in the text field as a regular expression. For example, to limit value to four-digits decimal number, regular expression "\d{1,4}" is used. About regular expressions read: Mastering Regular Expressions, 2nd Edition, Jeffrey E. F. Friedl, O'Reilly and Associates, 2002.
    5. Ref. to - The value of the element is a reference to a record. The type of the record is taken from the dropdown list beside.
    6. Choice - value of the element can be one of the several preset values. The list of these values is specified in the text area below. Each line of the text specifies one value. Value can be supplied with a comment after an equal sign '='. For example, the list
      CAD = Canadian dollar
      USD = US dollar
      FR = French franc
      specifies three possible values - CAD, USD and FR. Comments after an equal sign will be shown during editing of the element, but will be ignored by Record Editor (only the left part of the line, before the equal sign, will be considered as being the actual value).
  9. Value length - a text field that specifies the maximum length of the value.
  10. Buttons "OK" and "Cancel" are self-explanatory...

See also:
About the "expanded" support of the user tags
Menu "File" - "Import from:" - "GEDCOM 5.5 file"

Note:
Tags in "Relatives" are seldom presented anywhere by their real names (INDI, FAM, SOUR, etc.), but only by their labels (Person, Family, Source, etc.)

Note:
Change of value type of an existing user tag can lead to loss of data if elements of the tag exist elsewhere in the records in the tree. For example, if the type of data was "Reference", and you have replaced it with "Line" the reference to the record will inevitably be lost. In another example, if type "Text" is replaced by "Line" all carriage returns will be removed from the value to make it into a single line. The program checks and warns the user regarding what data might be lost or changed. Nevertheless be careful when changing type of a user tag value!


Menu "View"

Menu "View" contains 2 groups of items:

1) items related to representation of the family tree on the screen: scaling, frame alignment and distribution, frame swap and a "magnifying glass";

2) items to display lists: the list of persons, the list of families, the list of shared records and the information window for the header of the file.


Menu "View" - "Back" and "Forward".

These menu items work similar to "Edit" - "Undo/Redo", but with changes of the tree view: scale and position. At that, the following is considered as a single change:

- when dragging the whole view by mouse: from push the mouse down till release the mouse up;

- when changing scale by menu "View" ("Scale to fit", "Scale 1:1", "Scale Up", "Scale Down"): every time the menu command is called;

- when zooming by mouse wheel: from beginning of wheel rotating till stopping longer then for 1 second.

The program is able to keep up to 64 view changes.


Menu "View" items for scaling

The menu item "Scale to fit" sets the scale so that the entire tree is fit into the window. Consider, that if the tree is very large (several thousand persons) it will look like a rough black strip along the top edge of the window - this often happens when importing large GEDCOM files.

The item "Scale 1:1" set the scale 1:1.

The item "Scale Up" increases the scale by about 1.4 times.

The item "Scale Down" decreases the scale by about 1.4 times.

Note: When a small scale is selected, the text inside person's frames will not be shown since the fine font (less than 4 points) is illegible anyway. However, the special floating "Magnifier" window can be used to show portions of the tree in 1:1 scale.


Menu "View" - "Magnifier"

Switches on/off the special window in which that part of the tree which is under the mouse cursor is shown in 1:1 scale.

The Magnifier's window lacks the usual borders and title bar, however you can move it and change its size using the mouse.

In the center the window has a kind of a "sight" - a cross that shows the exact position of the mouse cursor. Using this "sight" it is possible to position the mouse in the necessary frame with greater ease while remaining in small scale mode.


Menu "View" - "Align selected"

Menu "View" - "Align selected" is available when more then one person are selected and contains two subitems:

Align horizontally - selected frames are aligned horizontally, as shown on the example:

Before alignment:

After alignment:

After selecting the frames to be aligned, it is necessary to tell the program which frame you wish to align the others to. Do this by clicking on that frame. If you do not do this, the program will remind you.

Align vertically - the centers of the selected frames are set on a vertical line:

Before alignment: | After alignment:

Just as in the previous case, after selecting the frames to be aligned it is necessary to tell the program which frame they are to be aligned to.


Menu "View" - "Distribute across"

Menu "View" - "Distribute across" is available when more then two persons are selected and contains two submenu items:

Equal spaces between - frames are distributed across so that the space between their edges is made equal.

Equal center-to-centers - frames are distributed across so that distances between their centers is made equal.

The rightmost and leftmost frames stay at the same position. The example below shows how to align and distribute a group of chaotically placed frames:

Before align and distribute:

After horizontal alignment and distribution across with equal amounts of space in between frames:

The same but after horizontal alignment and distribution across with equal center-to-center distance:


Menu "View" - "Swap selected"

Menu "View" - "Swap selected" is available when more then one person is selected.

It switches the positions of the selected frames relative to the vertical axis. This is a useful tool when manually arranging a tree after importing it from a GEDCOM file. Here are a couple of examples:

1) Example of spouse positions after a GEDCOM file import:

After selecting the couple on the left and swapping their places, this piece of the tree looks a bit better:

2) Both husbands of Susan Shield are happen to be on one side of her:

Select her and the nearest spouse and swap - now the lines to their descendants are better seen. Swapping the other pair as well will also help tidy up this section of the tree:

The hot key for this menu item is Ctrl+W.


Menu "View" - "Persons list"

Menu "View" - "Persons list" shows the list of all persons of the tree.

See also: Persons list


Menu "View" - "Families list"

Menu "View" - "Families list" shows the list of all families of the tree.

See also: Families list


Menu "View" - "File header"

Menu "View" - "File header" shows information contained in the file header in the Information Window.

See also: Information Window


Menu "View" - "Shared records"

Menu "View" - "Shared records" shows the list of all shared records of the tree.

See also: List of shared records


Menu "Tools"

Menu "Tools" contains some utilities to work with genealogical trees.


Media Master

Individuals and families can have links to media files - documents, photos, pictures, Internet sites, other trees, etc. In the process of building a tree the user sometimes creates a lot of links to files stored in different directories in the computer so that it's hard to remember where everything is. Besides that, links can point not only to files stored in the folder where the tree file itself is located or in the Media Directories, but also can be an absolute location (e.g. C:\Works\Archive\Photos\Smith.jpg), or can be stored in the system document folders - "My documents", "My pictures", "My videos" or "My music". When it is necessary to reference these media files together, it is easy to lose track of them. Files which the links point to can be renamed, deleted or moved, while the links themselves remain to point to these suddenly nonexistent files. In this case, if the user decides to transfer the tree and all related files to another computer, to burn them to a DVD, to place them on a web-server or to send them by e-mail, some files can be accidentally lost. To efficiently manage the links, there is a special tool in the program called Media Master. It allows the user to get the list of all links in the tree, to test which of them are valid, which are broken, where they actually point to, and how much disk space these files occupy. In Media Master the user can correct or remove inaccurate or lost links, as well as prepare the tree for transfer to another computer, saving the tree along with its media files in a separate directory or a compressed (ZIP) archive. All accessible media files related to the given tree will be copied to a directory of "assembly" (or ZIP archive), and links within the cloned tree will be redirected to them. The result is a complete set of files which can be transferred to another computer without any loss of media files.

The interface and the operating procedure

In the main window of Media Master at the left there is a list of all files to which the links in the given tree point.
The files in the list are highlighted with a different color depending on the state of the file:

White specifies that the link is valid, and that its corresponding file is found in a directory of the tree itself or in one of the Media Directories. This is "an ideal case". Such files do not need any further attention, however it is nevertheless possible to edit these links or to delete them.

Attention! All manipulations performed on the links in the main window of Media Master (editing and removal by corresponding buttons) will lead to real changes to links in the original tree. However the subsequent stage of collecting the files in one directory will affect neither the links in the tree, nor the media files in any way - they will be simply copied (instead of moved), and the links will be redirected only in the cloned tree file which has been saved in the directory of "assembly".
This, by the way, gives an opportunity to use Media Master as a convenient tool to control and correct the links.

Blue color designates files which are located on the Internet. These links also do not require any preparation for transfer since these files will be accessible from any other computer that is connected to the Internet. Note that files accessed through such links are not copied into the directory of "assembly", and links in the cloned tree are the same as those in the original tree.

Yellow color indicates that the file has an absolute path, or is found in one of the system media folders ("My documents", etc.) or in one of the Media Directories if this directory itself has an absolute path. Such files also do not require special attention as long as you do not wish to change the location of the media files. During the "assembling" procedure these files will be copied in the directory of "assembly", and links in the cloned tree will be redirected to them.

And finally, red color specifies that there is a problem with the link - its corresponding file was not found in the directory of the tree, nor in the Media Directories, nor in the system media folders. It is necessary either to correct such a link, either by redirecting it to an existing file or by removing it. Although it is possible to leave it "as is", it simply still will not work after being transferred to another computer.

The button "Edit the link" opens a dialog window in which the user can change the link's path to the corresponding file. Changing other link's data (such as Name or Notes) is not provided in Media Master, but it is possible to do this in the Editor.

The button "Delete the link" allows removal of the selected link.

Attention! The Media Master's window, unlike usual dialogs, does not block access to the main program's window. It allows the user to switch to the main window if necessary, make changes, and then return to Media Master. Do not forget to update the list of links using the "Refresh list" button afterward!

Selecting a file in the list at the left displays the information for this link, shown on the right, and a double click will open the document.

In the "Owner Record:" field - the type of the record (Person, Family or a shared record) that owns the given link. If the link belongs to an element of the record, then the type of the record will be shown as a chain (Record - element - ... - element).

"Where found:" shows the path where the file was actually found. The path can be either absolute, or it can begin with the Media Directory, or it can be an Internet address. Or it can also be "Not found".

"Link title:" and "Link notes:" show, respectively, the link's title and notes. The "Format:" field indicates the extension of the file if the format is known to the program.

After the links are put in order, it's time to start the "assembling" of files.

"Total size of media files" field shows two numbers: The first is the total size of all files in the list (except "not found" files). The second, is also the total size, including contents of those directories that are targets of the links that point to directories (rather than to separate files). This information allows the user to estimate in advance the size of the "assembly". Please note that it does not include the size of the tree file itself, but only local media files. The size of the remote Internet files, of course, is not included, since the actual files will not be included in the "assembly" anyway.

The button "Prepare tree and media files for transfer" opens the following dialog:

The top dropdown list allows the user to specify a folder in which to place the files with absolute paths or located in the system media directories ("My documents", etc.). The list contains local - not absolute! - Media Directories, as well as the directory of the tree itself. It is also possible to add a new folder. All these directories will be created in the folder of "assembly" on demand i.e. if there will be files which should be written there.

The checkbox "If media file is a directory save it's entire content" speaks for itself. Make sure that such folders contain only the necessary files...

The radio buttons below allow the user to select the format in which the tree is to be saved - as a Relatives file (.rel) or as a GEDCOM file (.ged).

By pressing the button "Save in directory" the user may choose a folder in which to save the "assembly". The folder should be empty (it can be created directly in the Directory dialog), otherwise the program will suggest creating a new subdirectory file_name_trans in the chosen folder.

See also:
Creating and editing links
Editing the Header


Menu "Tools" - "Create HTML5 Web Application"

Create HTML5 Web Application

This tool creates a set of files needed to publish your genealogical trees on the Internet with HTML5 interactive Web applivation. These files are to be uploaded to your website hosting, for example a free hosting like Wix.com or the like. After that your website visitors will see your family trees almost the same way you see it in the Relatives program. See an example on http://andreidouglas.com/RelView.html. If you need to protect your family privacy the files may be encrypted so only person who knows the password will have access to these trees.

The interface and the operating procedure

To prepare the files to publish on the Internet you should decide which ones you need to upload to the hosting server. At first these are free files, as well as media files to which there are local links in these trees. ["local links" means links to the files on your computer rather than somewhere on the Internet] The best way to do that is to use Media Master (Menu "Tools").
Example: you are going to publish 2 trees: Ivanov's and Petrov's families which are stored, accordingly, in Smith.rel and Petroff.relx files (Also you want to restrict access to Petroff family data as it contains some private information, so Petroff file is encrypted with "Encrypt/Decrypt" dialog).
Recommended procedure of creating files will be as follows:

1) Open Create HTML5 Web Application dialog;
2) Enter folder name that will be common for all trees in the text field Folder with trees (for example, trees). If there is no common folder for trees, leave the field empty;
3) Sequentially add to the table Tree's display names and files tree names (for example, Smiths and Petroffs and file names (Smith.rel è Petroff.relx). If you need to put the tree file in different subfolders inside the common folder, add these folder names in the beginning of the file names: smiths/Ivanov.rel è petroffs/Petrov.relx;
4) The order of the trees in the table can be changed by Up, Down, and edited and removed - by Edit and Remove buttons;
5) Save the application's files (menu File - Save/Save as...) with a name (for example, MyTrees.html);

As a result the following files and folders will be created in the specified directory:
1. the main html file of the application MyTrees.html,
2. folder relview_files with all files (scripts, language files) needed for the application.

Notice: if the specified directory already contained a folder withå relview_files name, it will NOT be rewrited or modified in any way.

Your next step will be to upload the application files to the server and create there the directory structure for the tree files. In our case there will be MyTrees.html file and folder relview_files, as well as trees folder with subfolders smiths and petroffs, where you will place, accordingly, Smith.rel and Petroff.relx files plus all needed media files with their folders, etc.

This Web application can work on computers with big screens (desktops and notebooks) and also on mobile devices with touchscreens (tablets and smartphones). For mobile version the web address should have a parameter with letter M in it. For example, the address can look like following:
http://petroff.com/MyTrees.html?M
or
http://petroff.com/MyTrees.html?mobile
i.e. if the last part of the address after question mark ? contains letter m in any case, the mobile version of the application will be shown.
The address without parameters or without letter m will show the version for big screens:
http://petroff.com/MyTrees.html


Menu "Tools" - "Encrypt/Decrypt"

Dialog window "Encrypt/Decrypt" is used to encrypt tree files .rel for publishing on the Internet with Create HTML5 Web Application tool. You can also decrypt files with this tool but practically you will need this option only to check passwords.

The interface and the operating procedure

Press Browse... button, in the dialog window choose file type (Relatives files (*.rel) or Encoded files (*.relx)) and choose the file you need.

Enter password in the corresponding text field.

Depending on which file type was chosen (rel or relx), "Encrypt" or "Decrypt" button will be enabled. Press the enabled button and in save file dialog enter the output file name - the input file will be encrypted or decrypted.


Menu "Tools" - "Records structure Reference"

This dialog window shows structure of the records used in the program. At its core this is GEDCOM format reference. Plus, if the dialog is shown when no file is opened in the program then it will display those record's structures which are used in the program by default. If a file is opened and it has user defined tags then those user tags will be shown among others as well. Separately from others these user defined tags can be seen in User defined tags editor.
Navigating on the record's structures tree it is possible to see every single available element of the records:

  • Definition - human readable name of the element.
  • Tag - name of the element, used inside the program, i.e. its name for internal use.
  • Quantity - minimum and maximum possible number of the element within its parental element.
  • Comment - short single line description of the element.
  • Help - more detailed description of the element, what it means, what values it may have and how to edit it.
  • Value type - what type of data the element contains: string, text, reference to another record, choice from a list of predefined values, etc.
  • List of values - if value type is a choice from the list.
  • Max. value length - this parameter is, speaking generally, conventional. It just reflects that maximum length of the element's value that is specified in the GEDCOM standard. In reality in the Relatives program the string's length is limited only by the operating system and its components. The theoretical limit is 2147483647 bytes, that is more than 2 Gb.

How data in the program are organized: The Relatives program data structure.


Alt key

Alt key is used to increase the scale of the tree image: holding it pressed drag over a part of the tree, and this part will be shown in the full size of the window.

See also: Menu "View" items for scaling


Ctrl key

Ctrl key is used when moving persons with the arrow keys: it decreases the move step to 1 pixel.

See also: How to move persons


Shift key

Shift key is used in the following cases:

  1. When selecting persons with the mouse it switches selection. If to hold this key pressed selected persons become not selected, and not selected ones become selected.
  2. When moving persons with the arrow keys it increases the move step to 100 pixel.

See also:
How to select persons and families
How to move persons